#python 2
import sqlite3
import os

#stellt Verbindung zur Datenbank her / legt diese an
connection = sqlite3.connect("words.db")
cursor = connection.cursor()
connection.text_factory = str

# Legt wenn nicht vorhanden Tabellen an
sql_command = """
CREATE TABLE IF NOT EXISTS wordlinks (
word VARCHAR,
link VARCHAR);"""

cursor.execute(sql_command)

# Laedt die Daten in die Datenbank
currentWorkingDirectory = os.getcwd()
parentDirectoryOfCWD = os.path.dirname(os.path.normpath(currentWorkingDirectory))
directoryToAnalyze = parentDirectoryOfCWD + "\\statistics\\"
allFilesInDirectory = os.listdir(directoryToAnalyze)
for files in allFilesInDirectory:
        with open(directoryToAnalyze+files) as currentFile:
            fileContent = currentFile.read()
            fileContent = fileContent.lower()
            lines = fileContent.split('__;\n')
            for line in lines:
                word = line.split('---')
                word=word[0]
                word = word.replace('-','')
                cursor.execute('INSERT INTO wordlinks VALUES (?,?)', (word,files))



cursor.execute('SELECT link FROM wordlinks WHERE word="hat"')
result = cursor.fetchall()
print(result)
print(len(result))
connection.commit()
connection.close()
